%{

#include "y.tab.h"

#ifdef __linux
int yylineno = 1;
#endif

%}
%%

[\n]		{ 
#                ifdef __linux
		    yylineno++; 
#                endif
	 	}
[ \t]		{ ; }
[;]		{ return ';'; }
[*]		{ return '*'; }
[,]		{ return ','; }
[(]		{ return '('; }
[)]		{ return ')'; }
[{]		{ return '{'; }
[}]		{ return '}'; }

typedef  	{ return TYPEDEF; }
unsigned  	{ return UNSIGNED; }
signed  	{ return SIGNED; }
void  		{ return VOID; }
char  		{ return CHAR; }
short  		{ return SHORT; }
int  		{ return INT; }
long  		{ return LONG; }
float  		{ return FLOAT; }
double 		{ return DOUBLE; }
const		{ return CONST; }
struct          { return STRUCT; }
union           { return STRUCT; }
extern 		{ return EXTERN; }

[A-Za-z_][A-Za-z0-9_]*	{ return STRING; }
%%

void eat_block( void )
{
    int flag = 1;

    while( flag )
    {
        int c = input();

	if( c == '{' ) flag++;
	if( c == '}' ) flag--;
	if( c == '\n' ) yylineno++;
    }

}


